Bug 46636

Summary: commit-queue wrongly rejects patches when it can't update itself
Product: WebKit Reporter: Eric Seidel (no email) <eric>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, mihai, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 49395    
Attachments:
Description Flags
Patch none

Description Eric Seidel (no email) 2010-09-27 11:34:10 PDT
commit-queue wrongly rejects patches when it can't update itself

http://queues.webkit.org/results/4079121

I guess we need to separate update from svn-apply.
Comment 1 Eric Seidel (no email) 2010-10-20 11:59:52 PDT
The commit-queue went crazy reject-zor today again due to this bug.
Comment 2 Eric Seidel (no email) 2010-11-11 11:42:55 PST
The EWS needs this too, see bug 49395.
Comment 3 Eric Seidel (no email) 2010-12-16 14:57:43 PST
The commit-queue just went crazy again today due to a confused git repo.  I"ll make a whack at fixing this.
Comment 4 Eric Seidel (no email) 2010-12-20 16:08:08 PST
The commit-queue went crazy again today, but this should stop the madness.
Comment 5 Eric Seidel (no email) 2010-12-20 16:10:56 PST
Created attachment 77046 [details]
Patch
Comment 6 Adam Barth 2010-12-20 21:01:07 PST
Comment on attachment 77046 [details]
Patch

Yay!
Comment 7 WebKit Commit Bot 2010-12-20 23:48:25 PST
Comment on attachment 77046 [details]
Patch

Clearing flags on attachment: 77046

Committed r74403: <http://trac.webkit.org/changeset/74403>
Comment 8 WebKit Commit Bot 2010-12-20 23:48:32 PST
All reviewed patches have been landed.  Closing bug.